package com.ruoyi.ss.suit.domain;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.ss.device.domain.DeviceView;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 套餐对象 sm_suit
 *
 * @author ruoyi
 * @date 2024-04-25
 */
@Data
public class Suit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 套餐id */
    @JsonView(DeviceView.SuitList.class)
    private Long suitId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceId;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    @JsonView(DeviceView.SuitList.class)
    private String name;

    /** 通电时间（分） */
    @Excel(name = "通电时间（分钟）")
    @JsonView(DeviceView.SuitList.class)
    private BigDecimal value;

    /** 价格(元） */
    @Excel(name = "价格(元）")
    @JsonView(DeviceView.SuitList.class)
    private BigDecimal price;

    /** 详细说明 */
    @Excel(name = "详细说明")
    @JsonView(DeviceView.SuitList.class)
    private String description;

    /** 删除标志 */
    @Excel(name = "删除标志")
    @JsonIgnore
    private Boolean deleted;
}
